/***************************************************************************
 *   Copyright (C) 2008 by Manuel Schrape                                  *
 *   manuel.schrape@gmx.de                                                 *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License.        *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef CSERVER_H
#define CSERVER_H

#include <QTcpServer>
#include <QTcpSocket>

//#include "../global.h"
#include "../Classes/cSettings.h"

class cServer : public QObject
{
    Q_OBJECT

public:
    cServer();
    ~cServer();

    void start_Server(int Port, cSettings *Set);

    void stop_Server();
    void store_NaviString(sNaviString Navi);


private:
    QTcpServer *TcpServer;
    QTcpSocket *TcpSocket;

    cSettings *Settings;

    QByteArray get_KML();
    sNaviString Route[MaxNaviPos];
    int NaviCount;

private slots:
    void slot_NewConnection();
    void slot_ReadData();
};

#endif // CSERVER_H
