/***************************************************************************
 *   Copyright (C) 2008 by Manuel Schrape                                  *
 *   manuel.schrape@gmx.de                                                 *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License.        *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef PARAMETER_POSITIONS_H
#define PARAMETER_POSITIONS_H

// Positionen der Navidaten im OSD-Datensatz
////////////////////////////////////////////
static const int N_CUR_LONGITUDE    = 0;
static const int N_CUR_LATITUDE     = 4;
static const int N_CUR_ALTITUDE     = 8;
static const int N_CUR_STATUS       = 12;

static const int N_TAR_LONGITUDE    = 13; //16
static const int N_TAR_LATITUDE     = 17; //20
static const int N_TAR_ALTITUDE     = 21; //24
static const int N_TAR_STATUS       = 25; //28
static const int N_TAR_DISTANCE     = 26; //32
static const int N_TAR_ANGLE        = 28; //34

static const int N_HOME_LONGITUDE   = 30; //36
static const int N_HOME_LATITUDE    = 34; //40
static const int N_HOME_ALTITUDE    = 38; //44
static const int N_HOME_STATUS      = 42; //48
static const int N_HOME_DISTANCE    = 43; //52
static const int N_HOME_ANGLE       = 45; //54

static const int N_WP_INDEX         = 47; //56
static const int N_WP_NUMBER        = 48; //57

static const int N_SATS_IN_USER     = 49; //58
static const int N_ALTIMETER        = 50; //59
static const int N_VARIOMETER       = 52; //61
static const int N_FLYING_TIME      = 54; //63
static const int N_UBAT             = 56; //65
static const int N_GROUND_SPEED     = 57; //66
static const int N_HEADING          = 59; //68
static const int N_COMAPSS_HEADING  = 61; //70
static const int N_ANGLE_NICK       = 63; //72
static const int N_ANGLE_ROLL       = 64; //73
static const int N_RC_QUALITY       = 65; //74
static const int N_MK_FLAGS         = 66; //75
static const int N_NC_FLAGS         = 67; //76
static const int N_ERRORCODE        = 68; //77


// Positionen der Setting-Parameter
///////////////////////////////////
static const int VERSION_SETTINGS = 74;

static const int MaxParameter = 93;

static const int P_KANAL_GAS   = 0;
static const int P_KANAL_GIER  = 1;
static const int P_KANAL_NICK  = 2;
static const int P_KANAL_ROLL  = 3;
static const int P_KANAL_POTI1 = 4;
static const int P_KANAL_POTI2 = 5;
static const int P_KANAL_POTI3 = 6;
static const int P_KANAL_POTI4 = 7;
static const int P_GLOBAL_CONF = 8;
static const int P_MIN_GAS     = 9;

static const int P_DRUCK_D       = 10;
static const int P_MAXHOEHE      = 11;
static const int P_HOEHE_P       = 12;
static const int P_HOEHE_GAIN    = 13;
static const int P_HOEHE_ACC     = 14;
static const int P_STICK_P       = 15;
static const int P_STICK_D       = 16;
static const int P_GIER_P        = 17;
static const int P_GAS_MIN       = 18;
static const int P_GAS_MAX       = 19;

static const int P_GYRO_ACC_FAKTOR = 20;
static const int P_KOMPASS_WIRKUNG = 21;
static const int P_GYRO_P          = 22;
static const int P_GYRO_I          = 23;
static const int P_GYRO_D          = 24;
static const int P_UNTERSPANNUNG   = 25;
static const int P_NOTGAS          = 26;
static const int P_NOTGASZEIT      = 27;
static const int P_AUSRICHTUNG     = 28;
static const int P_FAKTOR_I        = 29;

static const int P_USER_1          = 30;
static const int P_USER_2          = 31;
static const int P_USER_3          = 32;
static const int P_USER_4          = 33;
static const int P_SERVO_NICK_CONT = 34;
static const int P_SERVO_NICK_COMP = 35;
static const int P_SERVO_NICK_MIN  = 36;
static const int P_SERVO_NICK_MAX  = 37;
static const int P_SERVO_NICK_REFR = 38;
static const int P_LOOP_GAS_LIMIT  = 39;

static const int P_LOOP_THRESHOLD  = 40;
static const int P_LOOP_HYSTERESE  = 41;
static const int P_ACHS_KOPPLUNG1  = 42;
static const int P_ACHS_KOPPLUNG2  = 43;
static const int P_ACHS_GKOPPLUNG  = 44;
static const int P_WINKEL_NICK     = 45;
static const int P_WINKEL_ROLL     = 46;
static const int P_GYRO_ACC_ABGL   = 47;
static const int P_DRIFT_KOMP      = 48;
static const int P_DYNAMIC_STAB    = 49;

static const int P_USER_5          = 50;
static const int P_USER_6          = 51;
static const int P_USER_7          = 52;
static const int P_USER_8          = 53;
static const int P_J16_BITMASK     = 54;
static const int P_J16_TIMING      = 55;
static const int P_J17_BITMASK     = 56;
static const int P_J17_TIMING      = 57;
static const int P_NAV_GPS_MODE    = 58;
static const int P_NAV_GPS_GAIN    = 59;

static const int P_NAV_GPS_P        = 60;
static const int P_NAV_GPS_I        = 61;
static const int P_NAV_GPS_D        = 62;
static const int P_NAV_GPS_P_LIMIT  = 63;
static const int P_NAV_GPS_I_LIMIT  = 64;
static const int P_NAV_GPS_D_LIMIT  = 65;
static const int P_NAV_GPS_ACC      = 66;
static const int P_NAV_GPS_MIN      = 67;
static const int P_NAV_STICK_THRE   = 68;
static const int P_NAV_WIND_CORR    = 69;

static const int P_NAV_SPEED_COMP   = 70;
static const int P_NAV_RADIUS       = 71;
static const int P_NAV_ANGLE_LIMIT  = 72;
static const int P_NAV_PH_LOGINTIME = 73;
static const int P_EXTERNAL         = 74;
static const int P_LOOP_CONFIG      = 75;
static const int P_SERVO_NICK_COMPI = 76;
static const int P_RESERVED         = 77;
static const int P_NAME             = 81;

#endif
