TEMPLATE = app

OBJECTS_DIR = build/.o_mac
UI_DIR      = build/.ui
MOC_DIR     = build/.moc
RCC_DIR     = build/.rcc
DESTDIR     = build/bin

DEFINES += _TTY_POSIX_

LIBS += -L/opt/local/lib -lqwt
INCLUDEPATH += /opt/local/include

QT *= gui core network

CONFIG += warn_on thread qt

TARGET = QMK-Groundstation

RESOURCES += MKTool.qrc

SOURCES = \
    main.cpp \
    SerialPort/qextserialbase.cpp \
    SerialPort/qextserialport.cpp \
    SerialPort/ManageSerialPort.cpp \
    Forms/mktool.cpp \
    Forms/dlg_Config.cpp \
    Forms/dlg_Motortest.cpp \
    Forms/dlg_Preferences.cpp \
    Forms/wdg_Settings.cpp \
    Classes/cSettings.cpp \
    Classes/cServer.cpp \
    Classes/ToolBox.cpp \
    Classes/cAttitude.cpp \
    Classes/cSpeedMeter.cpp \
    Classes/cQMK_Server.cpp \
    Logger/Logger.cpp \
    Logger/CSVLogger.cpp \
    Forms/dlg_LCD.cpp \
    Classes/cConnection.cpp

win32:SOURCES += SerialPort/win_qextserialport.cpp
unix:SOURCES  += SerialPort/posix_qextserialport.cpp

HEADERS = \
    global.h \
    Parameter_Positions.h \
    SerialPort/qextserialbase.h \
    SerialPort/qextserialport.h \
    SerialPort/ManageSerialPort.h \
    Forms/mktool.h \
    Forms/dlg_Config.h \
    Forms/dlg_Motortest.h \
    Forms/dlg_Preferences.h \
    Forms/wdg_Settings.h \
    Classes/cSettings.h \
    Classes/cServer.h \
    Classes/ToolBox.h \
    Classes/cAttitude.h \
    Classes/cSpeedMeter.h \
    Classes/cQMK_Server.h \
    Logger/Logger.h \
    Logger/CSVLogger.h \
    Logger/DefaultLogger.h \
    Forms/dlg_LCD.h \
    Classes/cConnection.h \
    typedefs.h

win32:HEADERS += SerialPort/win_qextserialport.h
unix:HEADERS  += SerialPort/posix_qextserialport.h

FORMS += \
    Forms/mktool.ui \
    Forms/dlg_Config.ui \
    Forms/dlg_Preferences.ui \
    Forms/dlg_Motortest.ui \
    Forms/wdg_Settings.ui \
    Forms/dlg_LCD.ui